# TParamHolder Class Reference

Inheritance diagram for TParamHolder:

List of all members.

## Public Member Functions
| TParamHolder ()
| TParamHolder (IDType type, void *data)
| TParamHolder (IExParamType *type, void *data)
| TParamHolder (const TParamHolder &param)
TParamHolder & | operator= (const TParamHolder &param)
IDType | GetType () const
int32 | GetSupportedOperations () const
void | Reset ()
boolean | IsEqual (const TParamHolder &src) const
void | Copy (const TParamHolder &src)
void | Copy (const void *src)
void | Read (TMCiostream &stream)
void | Write (TMCiostream &stream) const
void | LinearInterpolate (real t, const TParamHolder &src1, const TParamHolder &src2)
void | ComputeOffset (const TParamHolder &src1, const TParamHolder &src2)
void | ApplyOffset (const TParamHolder &offset)
void | InvertOffset ()
template<class T >
const T & | Get () const
template<class T >
T & | Get ()
void * | GetData ()
const void * | GetData () const
## Protected Member Functions
| TParamHolder (IDType type)
| TParamHolder (IExParamType *type)
## Protected Attributes
TMCCountedPtr< IExParamType > | fParamType
void * | fData

## Constructor & Destructor Documentation

TParamHolder::TParamHolder | ( |  | ) |

TParamHolder::TParamHolder | ( | IDType | type,
|  | void * | data |
| ) |  |  |

TParamHolder::TParamHolder | ( | IExParamType * | type,
|  | void * | data |
| ) |  |  |

TParamHolder::TParamHolder | ( | const TParamHolder & | param | ) |

TParamHolder::TParamHolder | ( | IDType | type | ) | `[protected]`

TParamHolder::TParamHolder | ( | IExParamType * | type | ) | `[protected]`

## Member Function Documentation

void TParamHolder::ApplyOffset | ( | const TParamHolder & | offset | ) | `[inline]`

void TParamHolder::ComputeOffset | ( | const TParamHolder & | src1,
|  | const TParamHolder & | src2 |
| ) |  |  | `[inline]`

void TParamHolder::Copy | ( | const void * | src | ) | `[inline]`

void TParamHolder::Copy | ( | const TParamHolder & | src | ) | `[inline]`

template<class T >

T& TParamHolder::Get | ( |  | ) | `[inline]`

template<class T >

const T& TParamHolder::Get | ( |  | ) | const`[inline]`

const void* TParamHolder::GetData | ( | void |  | ) | const`[inline]`

void* TParamHolder::GetData | ( | void |  | ) | `[inline]`

int32 TParamHolder::GetSupportedOperations | ( |  | ) | const`[inline]`

IDType TParamHolder::GetType | ( |  | ) | const`[inline]`

void TParamHolder::InvertOffset | ( |  | ) | `[inline]`

boolean TParamHolder::IsEqual | ( | const TParamHolder & | src | ) | const`[inline]`

void TParamHolder::LinearInterpolate | ( | real | t,
|  | const TParamHolder & | src1,
|  | const TParamHolder & | src2 |
| ) |  |  | `[inline]`

TParamHolder& TParamHolder::operator= | ( | const TParamHolder & | param | ) |

void TParamHolder::Read | ( | TMCiostream & | stream | ) | `[inline]`

void TParamHolder::Reset | ( |  | ) | `[inline]`

void TParamHolder::Write | ( | TMCiostream & | stream | ) | const`[inline]`

## Member Data Documentation

void* TParamHolder::fData`[protected]`

TMCCountedPtr<IExParamType> TParamHolder::fParamType`[protected]`

The documentation for this class was generated from the following file:

- ParamHolder.h